Get Public Devices
Return the list of all devices for a non-authenticated user.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Filter devices by type. Omit to skip filter.
Filter devices by type. Omit to skip filter.
Filter devices by availability status. Omit to skip filter.
Filter devices by availability status. Omit to skip filter.
Filter devices by public visibility. Omit to skip filter.
Filter devices by public visibility. Omit to skip filter.
Responses
Section titled “ Responses ”Successful Response
A list of responses with pagination information.
For backwards compatibility, this also exposes pagination using the following header format:
Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLEobject
Device visible to the authenticated user.
object
Unique identifier for the device.
Deprecated. Same value as device_type.
Type identifier of the device (e.g. FRESNEL).
Current operational status of the device.
Average wait time (seconds) before a job of this device type is processed, measured over the last hour.
Maximum number of qubits supported by the device.
Whether the device is an emulator.
Channel identifiers available on the device.
Human-readable status message for the device.
Result types the device can produce.
Result types the device uses by default when none are specified.
Deprecated. Use availability instead.
Description of the device.
Whether usage of this device is billed.
Availability status of the device.
Whether the device provides execution logs.
Example
{ "id": "00000000-0000-0000-0000-000000000010", "name": "FRESNEL", "device_type": "FRESNEL", "status": "UP", "average_queue_time": 42, "max_atom_num": 100, "is_emulator": false, "channels": [ "rydberg_global", "rydberg_local" ], "allowed_result_types": [ "counter", "run" ], "default_result_types": [ "counter" ], "active": true, "description": "Fresnel QPU", "bill_usage": true, "availability": "ACTIVE", "has_execution_logs": false}Pagination information
object
Validation Error
